POST Receive promotion lifecycle event details
POST /merchant/spi/sample/endpoint/sa/customer/promotion/promotionExport
Operation ID: promotionExportWebhook. Tags: Promotion Events Webhook.
Webhook to export promotion events (CREATE, UPDATE, DELETE) to the merchant's system. The payload contains the promotion details as a PromotionWebhookPayload. For all the events the promotions list is populated. The promotionEventType field indicates which lifecycle event occurred.
Merchants should implement this endpoint per this specification and then configure it in CMS under CMS > Store Management > Integration > Custom API Connectors > Create. Make sure to create the endpoint in CMS with the following details
-
Under API Config
- API Key: This should be
PROMOTION_EXPORT - API Endpoint: Provide the external endpoint URL to receive the promotion payload
- API Key: This should be
-
Under JSON Config
- Integration Type:
HTTP_POST - JSON Headers: Provide the headers for the API. Headers can include Content-Type, Authorization attributes like clientId/password eg. {"Content-Type":"application/json"}.
- Integration Type:
Request body
Media type: application/json. Schema: PromotionWebhookPayload.
Responses
- default
default response.
Media type:
application/json. Schema:SpiPSResponse.